Continuous Integration Server needs the i18n 0.4.2 gem to be installed

Added by Etienne Massip almost 9 years ago

Hello

Trunk and 1.0 latest stable builds (since 1.0.5) require the 0.4.2 version of the i18n gem to pass.

CIS build results : http://ci.finn.de/

See #7013.

Builds log :

...
Missing the i18n 0.4.2 gem. Please `gem install -v=0.4.2 i18n`
...

Replies (8)

RE: Continuous Integration Server needs the i18n 0.4.2 gem to be installed - Added by Billy T almost 9 years ago

seems i have to rebuild passenger and others for this upgrade

RE: Continuous Integration Server needs the i18n 0.4.2 gem to be installed - Added by Holger Just almost 9 years ago

The CI system was upgraded and cleaned up. It should no work as advertised again. Although the tests fail currently. But this is not an issue of the CI system.

RE: Continuous Integration Server needs the i18n 0.4.2 gem to be installed - Added by Etienne Massip almost 9 years ago

Builds still fail on Mercurial tests, is it because of the repository configuration on CIS or should I post an SCM issue about the last Toshi Maruyama's merged changes ?

RE: Continuous Integration Server needs the i18n 0.4.2 gem to be installed - Added by Etienne Massip almost 9 years ago

Looks like it's a repo configuration issue !

Could you please do something so that the whole test suite pass ?

RE: Continuous Integration Server needs the i18n 0.4.2 gem to be installed - Added by Jean-Philippe Lang almost 9 years ago

I've changed the way the mercurial test repo is stored so that tests should be able to run with an old hg version. See r4676.

RE: Continuous Integration Server needs the i18n 0.4.2 gem to be installed - Added by Etienne Massip almost 9 years ago

Jean-Philippe Lang wrote:

I've changed the way the mercurial test repo is stored so that tests should be able to run with an old hg version. See r4676.

Nice, builds pass !

RE: Continuous Integration Server needs the i18n 0.4.2 gem to be installed - Added by Etienne Massip almost 9 years ago

Curiously, ruby 1.9.2 trunk builds failed on Mercurial tests only ?

(1-8/8)